import { EventDelegate } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { Nullable } from 'simplytyped';
import { ISessionChangeOptions, ISessionService, Session, SessionChangedEventArgs } from '../model';
import { Credentials } from '../model/user';
import { AuthService } from './auth';
import { SessionStoreService } from './SessionStoreService';
import * as i0 from "@angular/core";
export declare class SessionService implements ISessionService {
    readonly store: SessionStoreService;
    readonly auth: AuthService;
    constructor(store: SessionStoreService, auth: AuthService);
    get sessionChanged(): EventDelegate<Session, SessionChangedEventArgs>;
    get session(): Nullable<Session>;
    restore(): Promise<boolean>;
    login(credentials: Credentials): Promise<Session>;
    refresh(): Observable<Session>;
    logout(options?: ISessionChangeOptions): void;
    validate(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SessionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SessionService>;
}
