import { HttpClient } from '@angular/common/http';
import { ConfigService, ObjectModel, ServiceBase } from '@yukawa/chain-base-angular-client';
import { Observable } from 'rxjs';
import { AuthToken } from '../../model/auth';
import { ChangePassword, Credentials, UserInfo } from '../../model/user';
import { UserServiceProvider } from '../../providers/UserServiceProvider';
import { IUserService } from './IUserService';
import * as i0 from "@angular/core";
export declare const UserInfoServiceFactory: (provider: UserServiceProvider) => ServiceBase<ObjectModel>;
export declare class UserService extends ServiceBase<ObjectModel> implements IUserService {
    private readonly _httpClient;
    private readonly _configService;
    constructor(_httpClient: HttpClient, _configService: ConfigService);
    loadUser(token: AuthToken): Observable<UserInfo>;
    changePassword(credentials: Credentials): Observable<ChangePassword>;
    resetPassword(username: string): Observable<ChangePassword>;
    protected doWork(workerName: string, workerObservable?: Observable<unknown>): Observable<ObjectModel>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserService>;
}
